package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserVideo;

import java.util.List;

/**
 * 用户视频表(UserVideo)表服务接口
 *
 * @author makejava
 * @since 2022-11-12 09:33:39
 */
public interface UserVideoService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserVideo queryById(Integer id);

    /**
     * 分页查询
     *
     * @param userVideo 筛选条件
     * @return 查询结果
     */
//    Page<UserVideo> queryByPage(UserVideo userVideo, PageRequest pageRequest);
    public List<UserVideo> queryList(UserVideo userVideo);

    public long count(UserVideo userVideo);

    /**
     * 新增数据
     *
     * @param userVideo 实例对象
     * @return 实例对象
     */
    UserVideo insert(UserVideo userVideo);

    /**
     * 修改数据
     *
     * @param userVideo 实例对象
     * @return 实例对象
     */
    UserVideo update(UserVideo userVideo);

    /**
     * 通过主键删除数据
     *
     * @return 是否成功
     */
    boolean deleteById(String[] ids);

    /**
     * 我赞过的列表
     * @param userVideo
     * @return
     */
    public List<UserVideo> queryAllByLike(UserVideo userVideo);

}
